Module csc32

'
' CSC32.VB [CSC 7.1 declarations and constants for Visual Studio (32-bit)]
'
' Note: "CSC32.DLL" can be replaced with path; for example "\CSC4VB\DLLS\CSC32.DLL"

Declare Function cscAcceptConnect Lib "CSC32.DLL" (ByVal vSock As Integer) As Integer
Declare Function cscAttach Lib "CSC32.DLL" (ByVal NbrDataSocks As Integer, ByVal NbrListenSocks As Integer, ByVal KeyCode As Integer) As Integer
Declare Function cscAwaitConnect Lib "CSC32.DLL" (ByVal vSock As Integer, ByVal Timeout As Integer) As Integer
Declare Function cscAwaitData Lib "CSC32.DLL" (ByVal vSock As Integer, ByVal Timeout As Integer) As Integer
Declare Function cscByteToShort Lib "CSC32.DLL" (ByVal Buffer As String) As Integer
Declare Function cscChallenge Lib "CSC32.DLL" (ByVal Buffer As String) As Integer
Declare Function cscClient Lib "CSC32.DLL" (ByVal ClientName As String, ByVal ClientPort As Integer) As Integer
Declare Function cscClientExt Lib "CSC32.DLL" (ByVal ClientName As String, ByVal ClientPort As Integer, ByVal LocalIP as String) As Integer
Declare Function cscClose Lib "CSC32.DLL" (ByVal vSock As Integer) As Integer
Declare Function cscConnectMessage Lib "CSC32.DLL" (ByVal WinHandle As Integer, ByVal vSock As Integer, ByVal WinMessage As Integer) As Integer
Declare Function cscCreateUDP Lib "CSC32.DLL" (ByVal LocalPort As Integer, ByVal LocalHost As String) As Integer  
Declare Function cscCryptoGetData Lib "CSC32.DLL" (ByVal vSock As Integer, ByVal Buffer As String, ByVal BufLen As Integer, ByVal PadChars As String, ByVal PadLen As Integer) As Integer
Declare Function cscCryptoGetFile Lib "CSC32.DLL" (ByVal vSock As Integer, ByVal FileName As String, ByVal PadChars As String, ByVal PadLen As Integer) As Integer
Declare Function cscCryptoGetFileExt Lib "CSC32.DLL" (ByVal vSock As Integer,ByVal FileFlag As Integer,ByVal PadChars As String, ByVal PadLen As Integer) As Integer
Declare Function cscCryptoGetPacket Lib "CSC32.DLL" (ByVal vSock As Integer, ByVal Buffer As String, ByVal BufLen As Integer, ByVal PadChars As String, ByVal PadLen As Integer) As Integer
Declare Function cscCryptoPutData Lib "CSC32.DLL" (ByVal vSock As Integer, ByVal Buffer As String, ByVal BufLen As Integer, ByVal PadChars As String, ByVal PadLen As Integer) As Integer
Declare Function cscCryptoPutFile Lib "CSC32.DLL" (ByVal vSock As Integer, ByVal FileName As String, ByVal PadChars As String, ByVal PadLen As Integer) As Integer
Declare Function cscCryptoPutFileExt Lib "CSC32.DLL" (ByVal vSock As Integer,ByVal FileName As String,ByVal PadChars As String, ByVal PadLen As Integer) As Integer
Declare Function cscCryptoPutPacket Lib "CSC32.DLL" (ByVal vSock As Integer, ByVal Buffer As String, ByVal BufLen As Integer, ByVal PadChars As String, ByVal PadLen As Integer) As Integer
Declare Function cscDataCRC Lib "CSC32.DLL" (ByVal InitCRC As Integer, ByVal Buffer As String, ByVal BufLen As Integer) As Integer
Declare Function cscDataMessage Lib "CSC32.DLL" (ByVal WinHandle As Integer, ByVal vSock As Integer, ByVal WinMessage As Integer) As Integer
Declare Function cscErrorText Lib "CSC32.DLL" (ByVal ErrCode As Integer, ByVal Buffer As String, ByVal BufLen As Integer) As Integer
Declare Function cscFileCRC Lib "CSC32.DLL" (ByVal PathName As String) As Integer
Declare Function cscFileLength Lib "CSC32.DLL" (ByVal FileName As String) As Integer
Declare Function cscFillRandom Lib "CSC32.DLL" (ByVal PadBuffer As String, ByVal PadBufLen As Integer, ByVal Seed As Integer) As Integer
Declare Function cscGetData Lib "CSC32.DLL" (ByVal vSock As Integer, ByVal Buffer As String, ByVal BufLen As Integer) As Integer
Declare Function cscGetFile Lib "CSC32.DLL" (ByVal vSock As Integer, ByVal FileName As String) As Integer
Declare Function cscGetFileExt Lib "CSC32.DLL" (ByVal vSock As Integer,ByVal FileFlag As Integer) As Integer
Declare Function cscGetInteger Lib "CSC32.DLL" (ByVal vSock As Integer, ByVal Index As Integer) As Integer
Declare Function cscGetPacket Lib "CSC32.DLL" (ByVal vSock As Integer, ByVal Buffer As String, ByVal BufLen As Integer) As Integer
Declare Function cscGetString Lib "CSC32.DLL" (ByVal vSock As Integer, ByVal Index As Integer, ByVal Buffer As String, ByVal BufLen As Integer) As Integer
Declare Function cscGetUDP Lib "CSC32.DLL" (ByVal vSock As Integer, ByVal Buffer As String, ByVal BufLen As Integer, ByVal IPdotted As String) As Integer
Declare Function cscIsConnected Lib "CSC32.DLL" (ByVal vSock As Integer) As Integer
Declare Function cscLaunch Lib "CSC32.DLL" (ByVal PathToEXE As String, ByVal CmdLine As String) As Integer
Declare Function cscMakeDotted Lib "CSC32.DLL" (ByVal Addr As Integer, ByVal Buffer As String, ByVal BufLen As Integer) As Integer
Declare Function cscMakeDotted4 Lib "CSC32.DLL" (ByVal Byte1 As Integer, ByVal Byte2 As Integer, ByVal Byte3 As Integer, ByVal Byte4 As Integer, ByVal Buffer As String, ByVal BufLen As Long) As Integer
Declare Function cscMulticast Lib "CSC32.DLL" (ByVal vSock As Integer, ByVal MultiIP As Integer) As Integer
Declare Function cscNetToHost16 Lib "CSC32.DLL"(ByVal NetInteger As Integer) As Integer
Declare Function cscNetToHost32 Lib "CSC32.DLL" (ByVal NetInteger As UInt32) As UInt32
Declare Function cscPutData Lib "CSC32.DLL" (ByVal vSock As Integer, ByVal Buffer As String, ByVal BufLen As Integer) As Integer
Declare Function cscPutFile Lib "CSC32.DLL" (ByVal vSock As Integer, ByVal FileName As String) As Integer
Declare Function cscPutFileExt Lib "CSC32.DLL" (ByVal vSock As Integer,ByVal FileName As String) As Integer
Declare Function cscPutPacket Lib "CSC32.DLL" (ByVal vSock As Integer, ByVal Buffer As String, ByVal BufLen As Integer) As Integer
Declare Function cscPutUDP Lib "CSC32.DLL" (ByVal vSock As Integer, ByVal Buffer As String, ByVal BufLen As Integer, ByVal RemoteIP As Integer, ByVal RemotePort As Integer) As Integer
Declare Function cscReadSize Lib "CSC32.DLL" (ByVal vSock As Integer) As Integer
Declare Function cscRelease Lib "CSC32.DLL" () As Integer
Declare Function cscResolve Lib "CSC32.DLL" (ByVal HostName As String, ByVal HostIndex As Integer) As Integer
Declare Function cscResponse Lib "CSC32.DLL" (ByVal Challenge As String, ByVal Multiplier As Integer, ByVal Mask As Integer, ByVal RotateCount As Integer, ByVal Response As String) As Integer
Declare Function cscServer Lib "CSC32.DLL" (ByVal ServerName As String, ByVal ServerPort As Integer, ByVal MaxConnect As Integer) As Integer
Declare Function cscSetInteger Lib "CSC32.DLL" (ByVal vSock As Integer, ByVal ParamName As Integer, ByVal ParamValue As Integer) As Integer
Declare Function cscSetString Lib "CSC32.DLL" (ByVal vSock As Integer, ByVal ParamName As Integer, ByVal ParamPtr As String) As Integer
Declare Function cscShortToByte Lib "CSC32.DLL" (ByVal Buffer As String) As Integer
Declare Function cscSleep Lib "CSC32.DLL" (ByVal MilliSecs As Integer) As Integer
Declare Function cscSystemTics Lib "CSC32.DLL" () As Integer
Declare Function cscTestDotted Lib "CSC32.DLL" (ByVal Dotted As String) As Integer

Public Const CSC_SET_CONNECT_WAIT As Integer = 1
Public Const CSC_SET_SLEEP_TIME As Integer = 2
Public Const CSC_SET_CLOSE_LINGER As Integer = 3
Public Const CSC_SET_WRITE_BUFSIZE As Integer = 4
Public Const CSC_SET_BLOCKING_MODE As Integer = 5
Public Const CSC_SET_LOG_FILE As Integer = 6
Public Const CSC_SET_FILE_PATH As Integer = 7
Public Const CSC_SET_DEBUG_LEVEL As Integer = 8
Public Const CSC_SET_BUFFER_SIZE As Integer = 9
Public Const CSC_SET_TIMEOUT_VALUE As Integer = 10
Public Const CSC_SET_TCP_NODELAY As Integer = 11
Public Const CSC_SET_LINGER As Integer = 12
Public Const CSC_SET_STOP_BYTE As Integer = 13
Public Const CSC_SET_FILE_APPEND As Integer = 14
Public Const CSC_SET_FILE_OVERWRITE As Integer = 15
Public Const CSC_SET_DELAY_TIME As Integer = 16
Public Const CSC_SET_MAX_PACKET_SIZE As Integer = 17
Public Const CSC_SET_CLOSE_TIMEOUT As Integer = 18
Public Const CSC_SET_SOCK_REUSE = 19
Public Const CSC_GET_ERROR_TEXT As Integer = 20
Public Const CSC_GET_COUNTER As Integer = 21
Public Const CSC_GET_SOCK_ERROR As Integer = 22
Public Const CSC_GET_SOCKET As Integer = 23
Public Const CSC_GET_CONNECT_STATUS As Integer = 24
Public Const CSC_GET_REGISTRATION As Integer = 25
Public Const CSC_GET_LOCAL_IP As Integer = 26
Public Const CSC_GET_REMOTE_IP As Integer = 27
Public Const CSC_GET_VERSION As Integer = 28
Public Const CSC_GET_BUILD As Integer = 29
Public Const CSC_GET_FILE_NAME As Integer = 30
Public Const CSC_GET_FILE_LENGTH As Integer = 31
Public Const CSC_GET_REMOTE_SERVER_IP As Integer = 32
Public Const CSC_GET_REMOTE_CLIENT_IP As Integer = 33
Public Const CSC_GET_COMPUTER_NAME As Integer = 34
Public Const CSC_GET_BUFFER_SIZE As Integer = 35
Public Const CSC_GET_DAYS_LEFT As Integer = 36
Public Const CSC_GET_MAX_PACKET_SIZE As Integer = 37
Public Const CSC_GET_MAX_UDP_SIZE As Integer = 38
Public Const CSC_WRITE_TO_LOG As Integer = 50

Public Const CSC_SET_PAD_TX_INDEX As Integer = 61
Public Const CSC_SET_PAD_RX_INDEX As Integer = 62

Public Const CSC_NO_ERROR As Integer = 1
Public Const CSC_FILES_MATCH As Integer = 2
Public Const CSC_EOF As Integer = -1
Public Const CSC_ABORTED As Integer = -2
Public Const CSC_ACCEPT_ERROR As Integer = -3
Public Const CSC_ALREADY_ATTACHED As Integer = -4
Public Const CSC_CANNOT_COMPLY As Integer = -5
Public Const CSC_NO_SUCH_SOCKET As Integer = -6
Public Const CSC_CONNECT_ERROR As Integer = -7
Public Const CSC_LISTEN_ERROR As Integer = -8
Public Const CSC_NO_SUCH_HOST As Integer = -9
Public Const CSC_NOT_ATTACHED As Integer = -10
Public Const CSC_NULL_ARGUMENT As Integer = -11
Public Const CSC_NULL_POINTER As Integer = -12
Public Const CSC_CANNOT_ALLOCATE As Integer = -13
Public Const CSC_BUFFER_SIZE_ERROR As Integer = -14
Public Const CSC_CRC_ERROR As Integer = -15
Public Const CSC_TOO_MANY_SOCKETS As Integer = -16
Public Const CSC_NO_FREE_SOCKETS As Integer = -17
Public Const CSC_NO_SUCH_FILE As Integer = -18
Public Const CSC_FILE_FORMAT_ERROR As Integer = -19
Public Const CSC_FILE_NAME_ONLY As Integer = -20
Public Const CSC_PACKET_TIMEOUT As Integer = -21
Public Const CSC_PACKET_ERROR As Integer = -22
Public Const CSC_XFER_CANCELLED As Integer = -23
Public Const CSC_FILE_TOO_LARGE As Integer = -24
Public Const CSC_NO_LISTEN_SOCK As Integer = -25
Public Const CSC_ARGUMENT_RANGE As Integer = -26
Public Const CSC_DATA_SIZE As Integer = -27
Public Const CSC_CONNECT_TIMEOUT As Integer = -28
Public Const CSC_PACKET_SIZE As Integer = -29
Public Const CSC_CANNOT_RESOLVE As Integer = -30
Public Const CSC_BAD_KEY_CODE As Integer = -74
Public Const CSC_BAD_OFFSET As Integer = -75

Public Const CSC_EXPIRED As Integer = -104
Public Const CSC_KEYCODE As Integer = -108

Public Const CSC_DEBUG_OFF As Integer = 0
Public Const CSC_DEBUG_LOW As Integer = 1
Public Const CSC_DEBUG_HIGH As Integer = 2

End Module
